This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 102089 - pkgconfig should be build prerequisite for php
pkgconfig should be build prerequisite for php
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: php (Show other bugs)
1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-10 22:26 EDT by Roy-Magne Mo
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-20 04:56:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roy-Magne Mo 2003-08-10 22:26:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
while building php from rawhide I'm getting this error message:
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.13343
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd php-4.3.2
+ CFLAGS=-O2 -g -march=i386 -mcpu=i686 -fPIC
+ export CFLAGS
+ LIBS=-lttf -lfreetype -lpng -ljpeg -lz -lnsl
+ export LIBS
+ EXTENSION_DIR=/usr/lib/php4
+ export EXTENSION_DIR
+ IMAP_SHARED_LIBADD=-lc-client
+ export IMAP_SHARED_LIBADD
+ pkg-config openssl
/var/tmp/rpm-tmp.13343: line 35: pkg-config: command not found
+ libtoolize --force --copy
Using `AC_PROG_RANLIB' is rendered obsolete by `AC_PROG_LIBTOOL'
You should update your `aclocal.m4' by running aclocal.
+ touch acinclude.m4
+ ./buildconf --force
Forcing buildconf
using default Zend directory
buildconf: checking installation...
buildconf: autoconf version 2.57 (ok)
buildconf: Your version of autoconf likely contains buggy cache code.
           Running cvsclean for you.
           To avoid this, install autoconf-2.13 and automake-1.5.
buildconf: automake version 1.7.6 (ok)
buildconf: libtool version 1.5 (ok)
rebuilding configure


Version-Release number of selected component (if applicable):
php-4.3.2-7

How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild
ftp://ftp.uninett.no/pub/linux/RedHat/rawhide/SRPMS/SRPMS/php-4.3.2-7.src.rpm

2.
3.
    

Additional info:
Comment 1 Joe Orton 2003-08-20 04:56:33 EDT
It's not an error, pkg-config is used conditionally:

  if pkg-config openssl; then

Note You need to log in before you can comment on or make changes to this bug.